export declare class ComponentParser {
    private parents;
    private complexProperties;
    private resolvedRequests;
    private unsupportedPlatformTagCount;
    private moduleDirPath;
    private moduleRelativePath;
    private head;
    private body;
    private platform;
    private treeIndex;
    constructor(moduleRelativePath: string, platform: string);
    handleOpenTag(tagName: string, attributes: any): void;
    handleCloseTag(tagName: string): void;
    getResolvedRequests(): string[];
    finish(): void;
    getOutput(): string;
    private appendImports;
    private getPropertyCode;
    private buildComponent;
    private registerNamespace;
    private getLocalAndPrefixByName;
    private getResolvedPath;
    private addToComplexProperty;
    private isComplexProperty;
}
